#include "tty.h"
#include <iostream>

using namespace hierarchy_memory::tty;
using namespace std;

void test_ko (int val)
{
  cout << "***** Test(" << val << ") KO *****" << endl;
  exit (val);
}

void test_ok ()
{
  cout << "***** Test OK *****" << endl;
//   exit (0);
}

int main ()
{
  cout << "<main> Test de \"Tty\"" << endl;
  
  cout << "  * Create a Tty with a size of 4" << endl;
  
  const uint32_t nb_tty = 4;
  char * name_tty [nb_tty] = {"tty_0","tty_1","tty_2","tty_3"};
  Tty    my_tty = Tty(param_t("my_tty",nb_tty,name_tty,false));
  my_tty.reset();

  cout << my_tty << endl;

  char * message [nb_tty] = {
    "Ici Londre : Adeline aime la saucisse de Frankort, je repete : Adeline aime la saucisse de Frankort"  ,
    "Ici Londre : Maurice a garer le camion de bernard dans la cour, je repete Maurice a garer le camion de bernard dans la cour",
    "Ici Londre : Londre est la ville qui diffuse des messages a la con, je repete : Londre est la ville qui diffuse des messages a la con",
    "Ici Londre : Non, le debarquement n'aura pas lieu le 6 juin 1944 en Normandie, et je ne me repete pas"};

  for (uint32_t j = 0; j < nb_tty ; j ++)
    for (uint32_t i = 0; i < strlen(message[j]); i++)
      my_tty.write(j,message[j][i]);

  
  cout << "<main> Press <Enter> to stop the test" << endl;
  
  getchar();

  test_ok ();
}
